Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.servicegen
Interface ManualImplCartridge

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, LogicImplCartridge, org.eclipse.emf.common.notify.Notifier

    public interface ManualImplCartridge

extends LogicImplCartridge

A representation of the model object 'Manual Impl Cartridge'. L'implementazione dei servizi è manuale. A seconda del valore dell'attributo useInjectedPojo sarà possibile utilizzare un meccanismo di inverse injection, tipo spring>/b>

The following features are supported:

- `Use Injected Pojo`

See Also:
  `ServicegenPackage.getManualImplCartridge()`

Method Summary
`boolean` | `isUseInjectedPojo()` Returns the value of the 'Use Injected Pojo' attribute.
`void` | `setUseInjectedPojo(boolean value)` Sets the value of the '`Use Injected Pojo`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isUseInjectedPojo

    boolean isUseInjectedPojo()

  Returns the value of the 'Use Injected Pojo' attribute. The default value is `"false"`. Se valorizzata a true il servizio verrà predisposto con un meccanismo di inverse injection, quale spring

  Returns:
    the value of the 'Use Injected Pojo' attribute.
  See Also:
    `setUseInjectedPojo(boolean)`, `ServicegenPackage.getManualImplCartridge_UseInjectedPojo()`

### setUseInjectedPojo

    void setUseInjectedPojo(boolean value)

  Sets the value of the '`Use Injected Pojo`' attribute.

  Parameters:
    `value` - the new value of the 'Use Injected Pojo' attribute.
  See Also:
    `isUseInjectedPojo()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD